系统管理/系统设置相关接口/资源高级设置相关接口
POSTCustom Attribute起始版本 4.7.0同步需要认证
批量更新资源高级设置
批量更新资源高级设置
调试可用性
在线调试
使用当前认证信息和示例参数提交 Mock 请求。
路径参数
请求参数
路径参数
resourceUuidString必填设置的资源UUID
请求体字段
resourceConfigsList必填资源自定义attributes列表。
systemTagsList系统标签
userTagsList用户标签
响应状态
请求地址
POST/zstack/v1/resource-configurations/{resourceUuid}/resource-configs/actions
/zstack/v1/resource-configurations/{resourceUuid}/resource-configs/actions
请求示例
curl -X POST 'http://{host}/zstack/v1/resource-configurations/{resourceUuid}/resource-configs/actions' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"resourceConfigs":["<resourceConfigs>"],"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'
响应示例
200{ "inventories": [ { "value": "10", "effectiveConfigs": [ { "uuid": "9d7aeba3ff604f46b419475c0ade1538", "resourceUuid": "378c6a50c9ee415baa4688fcd19f023a", "resourceType": "ClusterVO", "name": "cpu.overProvisioning.ratio", "category": "host", "value": "10", "createDate": "Nov 14, 2017 2:20:57 PM", "lastOpDate": "Nov 14, 2017 2:20:57 PM" } ], "name": "cpu.overProvisioning.ratio" } ] }变更历史
此 API 暂无变更历史记录。
